# Account sync set state

An action block that enables or disables automatic account data sync.

The fiber will proceed immediately without pause.

If all three input arguments are empty, or evaluates to `null`, then set the master sync state.

Note! Since Android 8 apps has to be granted access to individual accounts, use the Pick account button, or the Account pick block to let the user do so at run-time.

## Input arguments

- Account name — account name, default is all accessible accounts.
- Account type — type of account, default all types.
- Data authority — type of synced data, default everything.
- Auto-sync — whether to enable or disable.